%define module	rencode

Name:		python-%{module}
Version:	1.0.6
Release:	%mkrel 2
Summary:	Web safe object pickling/unpickling
License:	BSD
Group:		Development/Python
Url:		https://pypi.org/project/hyperlink/
Source0:	https://pypi.io/packages/source/r/rencode/%{module}-%{version}.tar.xz
# PyPi source tarball doesn't contain the .pyx file. This is the .pyx file
# corresponding to tag 1.0.6. Updating the version will also require this file
# to be updated.
# https://github.com/aresch/rencode/issues/22
Source1:    rencode.pyx
Patch0:     rencode-fix-CVE-2021-40839.patch
BuildArch:	noarch

%description
The rencode module is a modified version of bencode from the
BitTorrent project.  For complex, heterogeneous data structures with
many small elements, r-encodings take up significantly less space than
b-encodings.

%package -n	python3-%{module}
Summary:	A featureful, correct URL for Python 3
Group:		Development/Python

%description -n python3-%{module}
The rencode module is a modified version of bencode from the
BitTorrent project.  For complex, heterogeneous data structures with
many small elements, r-encodings take up significantly less space than
b-encodings.

%prep
%setup -qn %{module}-%{version}
cp -a %{SOURCE1} ./rencode
%apply_patches

# Remove bundled egg-info
rm -rf %{module}.egg-info

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files
%doc README.md
%{python2_sitearch}/%{module}/
%{python2_sitearch}/*.egg-info

%files -n python3-%{module}
%doc README.md
%{python3_sitearch}/%{module}/
%{python3_sitearch}/*.egg-info

%changelog
* Sun Aug 14 2022 TerryN <terryn94 at gmail.com> 1.0.6-2pclos2022
- rebuild for python 3.10
- patch CVE-2021-40839
- add missing rencode.pyx file

* Thu Apr 11 2019 tex 1.0.6-1pclos2019
- new
